
Enduro/X Core - Bug #812

tpbridge in -f mode may fail to send BFLD_CHAR field with value 0x00

09/21/2023 11:35 PM - Lauris

Status: Closed Start date: 09/21/2023

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

Due to bug in procotol mode (-f), when sending over the bridge BFLD_CHAR fields with value 0x00, tmqueue fails to send such

fields/messages.

History

#1 - 09/21/2023 11:37 PM - Lauris

- Status changed from New to Resolved

- % Done changed from 0 to 100

Release notes

tpbridge has been fixed to handle 0x00 bytes correctly when operating in protocol mode -f. Note that if -f flag is not used in tpbridge command line

options, then such operations are not affected (i.e. BFLD_CHAR already work correctly).

Available from Enduro/X release 8.0.10+.

#2 - 09/21/2023 11:37 PM - Lauris

- Status changed from Resolved to Closed

#3 - 09/22/2023 11:50 AM - Madars

- Subject changed from tmqueue in -f mode may fail to send BFLD_CHAR field with value 0x00 to tpbridge in -f mode may fail to send BFLD_CHAR

field with value 0x00
